package tv.ouya.console.internal;

import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.os.RemoteException;
import tv.ouya.console.api.store.AppDetails;

public abstract interface IAppDetailsListener
  extends IInterface
{
  public abstract void onCancel()
    throws RemoteException;
  
  public abstract void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException;
  
  public abstract void onSuccess(AppDetails paramAppDetails)
    throws RemoteException;
  
  public static abstract class Stub
    extends Binder
    implements IAppDetailsListener
  {
    private static final String DESCRIPTOR = "tv.ouya.console.internal.IAppDetailsListener";
    static final int TRANSACTION_onCancel = 3;
    static final int TRANSACTION_onFailure = 2;
    static final int TRANSACTION_onSuccess = 1;
    
    public Stub()
    {
      attachInterface(this, "tv.ouya.console.internal.IAppDetailsListener");
    }
    
    public static IAppDetailsListener asInterface(IBinder paramIBinder)
    {
      if (paramIBinder == null) {
        return null;
      }
      IInterface localIInterface = paramIBinder.queryLocalInterface("tv.ouya.console.internal.IAppDetailsListener");
      if ((localIInterface != null) && ((localIInterface instanceof IAppDetailsListener))) {
        return (IAppDetailsListener)localIInterface;
      }
      return new Proxy(paramIBinder);
    }
    
    public IBinder asBinder()
    {
      return this;
    }
    
    public boolean onTransact(int paramInt1, Parcel paramParcel1, Parcel paramParcel2, int paramInt2)
      throws RemoteException
    {
      switch (paramInt1)
      {
      default: 
        return super.onTransact(paramInt1, paramParcel1, paramParcel2, paramInt2);
      case 1598968902: 
        paramParcel2.writeString("tv.ouya.console.internal.IAppDetailsListener");
        return true;
      case 1: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDetailsListener");
        if (paramParcel1.readInt() != 0) {}
        for (paramParcel1 = (AppDetails)AppDetails.CREATOR.createFromParcel(paramParcel1);; paramParcel1 = null)
        {
          onSuccess(paramParcel1);
          paramParcel2.writeNoException();
          return true;
        }
      case 2: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDetailsListener");
        paramInt1 = paramParcel1.readInt();
        String str = paramParcel1.readString();
        if (paramParcel1.readInt() != 0) {}
        for (paramParcel1 = (Bundle)Bundle.CREATOR.createFromParcel(paramParcel1);; paramParcel1 = null)
        {
          onFailure(paramInt1, str, paramParcel1);
          paramParcel2.writeNoException();
          return true;
        }
      }
      paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDetailsListener");
      onCancel();
      paramParcel2.writeNoException();
      return true;
    }
    
    private static class Proxy
      implements IAppDetailsListener
    {
      private IBinder mRemote;
      
      Proxy(IBinder paramIBinder)
      {
        this.mRemote = paramIBinder;
      }
      
      public IBinder asBinder()
      {
        return this.mRemote;
      }
      
      public String getInterfaceDescriptor()
      {
        return "tv.ouya.console.internal.IAppDetailsListener";
      }
      
      public void onCancel()
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        try
        {
          localParcel1.writeInterfaceToken("tv.ouya.console.internal.IAppDetailsListener");
          this.mRemote.transact(3, localParcel1, localParcel2, 0);
          localParcel2.readException();
          return;
        }
        finally
        {
          localParcel2.recycle();
          localParcel1.recycle();
        }
      }
      
      /* Error */
      public void onFailure(int paramInt, String paramString, Bundle paramBundle)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 35	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore 4
        //   5: invokestatic 35	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   8: astore 5
        //   10: aload 4
        //   12: ldc 26
        //   14: invokevirtual 39	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   17: aload 4
        //   19: iload_1
        //   20: invokevirtual 58	android/os/Parcel:writeInt	(I)V
        //   23: aload 4
        //   25: aload_2
        //   26: invokevirtual 61	android/os/Parcel:writeString	(Ljava/lang/String;)V
        //   29: aload_3
        //   30: ifnull +48 -> 78
        //   33: aload 4
        //   35: iconst_1
        //   36: invokevirtual 58	android/os/Parcel:writeInt	(I)V
        //   39: aload_3
        //   40: aload 4
        //   42: iconst_0
        //   43: invokevirtual 67	android/os/Bundle:writeToParcel	(Landroid/os/Parcel;I)V
        //   46: aload_0
        //   47: getfield 19	tv/ouya/console/internal/IAppDetailsListener$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   50: iconst_2
        //   51: aload 4
        //   53: aload 5
        //   55: iconst_0
        //   56: invokeinterface 45 5 0
        //   61: pop
        //   62: aload 5
        //   64: invokevirtual 48	android/os/Parcel:readException	()V
        //   67: aload 5
        //   69: invokevirtual 51	android/os/Parcel:recycle	()V
        //   72: aload 4
        //   74: invokevirtual 51	android/os/Parcel:recycle	()V
        //   77: return
        //   78: aload 4
        //   80: iconst_0
        //   81: invokevirtual 58	android/os/Parcel:writeInt	(I)V
        //   84: goto -38 -> 46
        //   87: astore_2
        //   88: aload 5
        //   90: invokevirtual 51	android/os/Parcel:recycle	()V
        //   93: aload 4
        //   95: invokevirtual 51	android/os/Parcel:recycle	()V
        //   98: aload_2
        //   99: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	100	0	this	Proxy
        //   0	100	1	paramInt	int
        //   0	100	2	paramString	String
        //   0	100	3	paramBundle	Bundle
        //   3	91	4	localParcel1	Parcel
        //   8	81	5	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   10	29	87	finally
        //   33	46	87	finally
        //   46	67	87	finally
        //   78	84	87	finally
      }
      
      /* Error */
      public void onSuccess(AppDetails paramAppDetails)
        throws RemoteException
      {
        // Byte code:
        //   0: invokestatic 35	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   3: astore_2
        //   4: invokestatic 35	android/os/Parcel:obtain	()Landroid/os/Parcel;
        //   7: astore_3
        //   8: aload_2
        //   9: ldc 26
        //   11: invokevirtual 39	android/os/Parcel:writeInterfaceToken	(Ljava/lang/String;)V
        //   14: aload_1
        //   15: ifnull +41 -> 56
        //   18: aload_2
        //   19: iconst_1
        //   20: invokevirtual 58	android/os/Parcel:writeInt	(I)V
        //   23: aload_1
        //   24: aload_2
        //   25: iconst_0
        //   26: invokevirtual 72	tv/ouya/console/api/store/AppDetails:writeToParcel	(Landroid/os/Parcel;I)V
        //   29: aload_0
        //   30: getfield 19	tv/ouya/console/internal/IAppDetailsListener$Stub$Proxy:mRemote	Landroid/os/IBinder;
        //   33: iconst_1
        //   34: aload_2
        //   35: aload_3
        //   36: iconst_0
        //   37: invokeinterface 45 5 0
        //   42: pop
        //   43: aload_3
        //   44: invokevirtual 48	android/os/Parcel:readException	()V
        //   47: aload_3
        //   48: invokevirtual 51	android/os/Parcel:recycle	()V
        //   51: aload_2
        //   52: invokevirtual 51	android/os/Parcel:recycle	()V
        //   55: return
        //   56: aload_2
        //   57: iconst_0
        //   58: invokevirtual 58	android/os/Parcel:writeInt	(I)V
        //   61: goto -32 -> 29
        //   64: astore_1
        //   65: aload_3
        //   66: invokevirtual 51	android/os/Parcel:recycle	()V
        //   69: aload_2
        //   70: invokevirtual 51	android/os/Parcel:recycle	()V
        //   73: aload_1
        //   74: athrow
        // Local variable table:
        //   start	length	slot	name	signature
        //   0	75	0	this	Proxy
        //   0	75	1	paramAppDetails	AppDetails
        //   3	67	2	localParcel1	Parcel
        //   7	59	3	localParcel2	Parcel
        // Exception table:
        //   from	to	target	type
        //   8	14	64	finally
        //   18	29	64	finally
        //   29	47	64	finally
        //   56	61	64	finally
      }
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/IAppDetailsListener.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */